changeset 98:65fbc0cdb0c6 OHIF-3.13.0

updated to OHIF 3.13.0 - currently in a branch since it does not display the MAMMO sample correctly
author Alain Mazy <am@orthanc.team>
date Thu, 23 Jul 2026 15:07:22 +0200
parents 1a47f7dedc99
children
files Resources/CreateOHIFDist.sh Resources/CreateOHIFDist/Dockerfile Resources/CreateOHIFDist/build.sh
diffstat 3 files changed, 9 insertions(+), 15 deletions(-) [+]
line wrap: on
line diff
--- a/Resources/CreateOHIFDist.sh	Thu Jul 23 10:40:56 2026 +0200
+++ b/Resources/CreateOHIFDist.sh	Thu Jul 23 15:07:22 2026 +0200
@@ -31,7 +31,7 @@
 set -ex
 
 if [ "$1" = "" ]; then
-    PACKAGE=Viewers-3.12.0
+    PACKAGE=Viewers-3.13.0
     # PACKAGE=Viewers-fix-video-auth-token
 else
     PACKAGE=$1
--- a/Resources/CreateOHIFDist/Dockerfile	Thu Jul 23 10:40:56 2026 +0200
+++ b/Resources/CreateOHIFDist/Dockerfile	Thu Jul 23 15:07:22 2026 +0200
@@ -17,13 +17,9 @@
 # You should have received a copy of the GNU General Public License
 # along with this program. If not, see <http://www.gnu.org/licenses/>.
 
-FROM node:20.18.1-slim
-
-MAINTAINER Sebastien Jodogne <s.jodogne@gmail.com>
-LABEL Description="Orthanc, free DICOM server" Vendor="The Orthanc project"
+FROM node:24.15.0-slim
 
 RUN apt-get -y clean && apt-get -y update && apt-get install -y build-essential python3 && \
     apt-get clean && rm -rf /var/lib/apt/lists/*
 
-RUN npm install -g bun@1.2.23
-RUN npm install -g lerna@7.4.2
\ No newline at end of file
+RUN npm install -g pnpm@11
--- a/Resources/CreateOHIFDist/build.sh	Thu Jul 23 10:40:56 2026 +0200
+++ b/Resources/CreateOHIFDist/build.sh	Thu Jul 23 15:07:22 2026 +0200
@@ -34,20 +34,18 @@
 mkdir /tmp/$1
 cd /tmp/source/$1
 
-cp package.json yarn.lock preinstall.js lerna.json /tmp/$1/
-cp --parents ./addOns/package.json ./addOns/*/*/package.json ./extensions/*/package.json ./modes/*/package.json ./platform/*/package.json /tmp/$1/
+cp package.json pnpm-lock.yaml pnpm-workspace.yaml .npmrc preinstall.js /tmp/$1/
+cp --parents ./extensions/*/package.json ./modes/*/package.json ./platform/*/package.json /tmp/$1/
 
 cd /tmp/$1
-bun pm cache rm
-bun install
-bun add ajv@8.12.0
+pnpm install --no-frozen-lockfile
 
 cd /tmp/source/$1
-cp --link -r . /tmp/$1/ || true # this generates warnings but it is expected !
+cp --link -r . /tmp/$1/ || true # this generates warnings for all files that already exists but it is expected (cp does not have a --exclude option)
 
 cd /tmp/$1
-APP_CONFIG=config/default.js QUICK_BUILD=true PUBLIC_URL=./ bun run show:config
-APP_CONFIG=config/default.js QUICK_BUILD=true PUBLIC_URL=./ bun run build
+APP_CONFIG=config/default.js QUICK_BUILD=true PUBLIC_URL=./ pnpm run show:config
+APP_CONFIG=config/default.js QUICK_BUILD=true PUBLIC_URL=./ pnpm run build
 
 # patch files where the PUBLIC_URL was not taken into account
 sed -i "s|var worker = new Worker(workerUrl|var worker = new Worker(new URL(window.location.protocol + '//' + window.location.host + window.location.pathname.replace('microscopy', 'dicom-microscopy-viewer') + '/dataLoader.worker.min.js')|g" /tmp/$1/platform/app/dist/dicom-microscopy-viewer/dicomMicroscopyViewer.min.js